0 Replies Latest reply on Mar 4, 2006 7:07 PM by Michael Duffy

    XDoclet generation errors on org.apache.axis.enum...

    Michael Duffy Newbie

      I installed the integrated JBoss 1.5 and Eclipse package and created a web service client from a wsdl. The generated code contains axis package names containing the term 'enum' which is invalid in Java 1.5. I have set the Eclipse language level to 1.4 such that these references are flagged as warnings rather than errors. That part is OK. When I run XDoclet, however, it flags these lines as parse errors.

      Is there any way to tell XDoclet to use java 1.4 syntax?